@motorway: #ffee33;
@trunk: @motorway;
@primary: #FFC53C;
@secondary: @primary;
@road: #999;
@track: @road;
@footway: #ac9;
@cycleway: #9ca;

#roads[zoom>4]  {
  [highway='motorway'] { 
    ::case {
      line-width: 3;
      line-color:#d83;
    }
    line-color:@motorway; line-width: 2;  
  }
  [highway='motorway_link'] { line-color:@motorway; line-width: 2;  }
  [zoom>7] {
    [highway='trunk'] { line-color: @primary; line-width: 2;  }
    [highway='primary'] { line-color: @primary; line-width: 2;  }
    [highway='primary_link'] { line-color: @primary; line-width: 2;  }
  }
  [zoom>8] {
    [highway='secondary'] { line-color: @road; line-width: 1.5;  }
    [highway='secondary_link'] { line-color: @road; line-width: 1.5;  }
    [highway='tertiary'] { line-color: @road; line-width: 0.75;  }
    [highway='tertiary_link'] { line-color: @road; line-width: 0.75;  }
  }
  [zoom>9] {
    [highway='residential'] { line-color: @road; line-width: 0.75; }
    [highway='footway'] { line-color: @footway; line-width: 0.75; }
    [highway='pedestrian'] { line-color: @footway; line-width: 0.75; }
    [highway='cycleway'] { line-color: @cycleway; line-width: 0.75; }
    [highway='service'] { line-color: @road; line-width: 0.75; }
  }
}

[zoom>6] {
  #railroads {
        ::line  {
          line-width: 2.5;
          line-color: #777777;
        }
        ::dash {
          line-color: #ffffff;
          line-width: 1.5;
          line-dasharray: 6, 6;
        }
  }
}