<?php

//echo "disabled"; exit();

//$str = json_decode(json_encode((array)simplexml_load_string(file_get_contents("DatabazeLetistGPS_all.gpx"))),1);

require_once('config.php');
require_once('../xml.php');
require_once('../geo.php');
require_once('../tune.php');
$dbconn = pg_connect($config['dbconn']) or die('Could not connect: ' . pg_last_error());


$LKAA = json_decode(file_get_contents('./data/lkaa.json'), true);

$str = xml2array('./data/DatabazeLetistGPS_all.gpx', 1,'attr');

$query = "START TRANSACTION";
pg_query($query) or die('Query failed:  <br/> <br/>' . pg_last_error(). ' <br/> <br/>' . $query);

foreach($str['gpx']['wpt'] as $wpt) {
  $lat = $wpt['attr']['lat'];
  $lon = $wpt['attr']['lon'];
  $ele = isset($wpt['ele']['value']) ? $wpt['ele']['value'] : 0;
  $name = isset($wpt['name']['value']) ? $wpt['name']['value'] : '';
  $desc = isset($wpt['desc']['value']) ? $wpt['desc']['value'] : '';
  $sym = strtr($wpt['sym']['value'], array(" "=>"_",","=>""));
  $extensions = $wpt['extensions'];

  if (trim($sym) != "Diamond_Blue") {
    continue;
  }
  if (pointInPolygon($LKAA, array('lat' => $lat, 'lon' => $lon) )) {
    $country = "CZ";
  } else {
    $country = "?";
  }
  $code = $name;
  $name = preg_replace("/LK\S\S/", "", $name);

  if ($country !== "CZ") {
    continue;
  }

  echo "$country $lat $lon $ele $name $desc $sym <br/>\n";

  $query = sprintf("INSERT INTO airfields (region,name,code,description,elevation,direction,length,frequency,sym,position) VALUES ('%s','%s','%s','%s','%d','%d', '%d', '%f','%s', ST_GeomFromText('POINT(%s)', 4326))",
    pg_escape_string($country), 
    pg_escape_string($name), 
    pg_escape_string($code), 
    pg_escape_string($desc),
    pg_escape_string($ele),
    0,
    0,
    '',
    'EntryPoint',
    ($lon. ' '.$lat)
  ); 
//echo $query;

  pg_query($query) or die('Query failed:  <br/> <br/>' . pg_last_error(). ' <br/> <br/>' . $query);

}

$query = "COMMIT";
pg_query($query) or die('Query failed:  <br/> <br/>' . pg_last_error(). ' <br/> <br/>' . $query);


//exit();

$i = 0;
foreach($str['gpx']['trk'] as $trk) {

  $name = $trk['name']['value'];
//  $extensions = $trk['extensions'];
//  $color = $trk['extensions']['gpxx:TrackExtension']['attr']['gpxx:DisplayColor'];
  $color = $trk['extensions']['gpxx:TrackExtension']['gpxx:DisplayColor']['value'];

  $points_ext = $trk['trkseg']['trkpt'];


  $max_lat = $min_lat = $points_ext[0]['attr']['lat'];
  $max_lon = $min_lon = $points_ext[0]['attr']['lon'];

  $j = 0;
  $points=array();
  foreach ($points_ext as $pt) {
    $lat = $pt['attr']['lat'];
    $lon = $pt['attr']['lon'];
    $max_lat = max($max_lat, $lat);
    $max_lon = max($max_lon, $lon);
    $min_lat = min($min_lat, $lat);
    $min_lon = min($min_lon, $lon);
    $points[$j]['lat'] = $lat;
    $points[$j]['lon'] = $lon;
    $j++;
//    print_r($pt);
  }

}

?>